libzypp 17.37.10

zypp::parser Namespace Reference

## Namespaces
namespace | susetags
namespace | yum

## Classes
class | HistoryLogReader
| Zypp history file parser. More...
class | IniDict
| Parses a INI file and offers its structure as a dictionary. More...
class | IniParser
| Simple INI-file parser. More...
class | ParseException
class | ProductFileData
| Data returned by ProductFileReader. More...
class | ProductFileReader
| Parser for /etc/products.d enries (just relevant entires). More...
struct | ProductNode
class | Reader
| xmlTextReader based interface to iterate xml streams. More...
class | RepoFileReader
| Read repository data from a .repo file. More...
class | RepoindexFileReader
| Reads through a repoindex.xml file and collects repositories. More...
class | ServiceFileReader
| Read service data from a .service file. More...
class | XmlString
| xmlChar * wrapper. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const ProductFileData &obj)
std::ostream & | operator<< (std::ostream &str, const ProductFileData::Upgrade &obj)
static void | repositories_in_stream (const InputStream &is, const RepoFileReader::ProcessRepo &callback, const ProgressData::ReceiverFnc &progress)
| List of RepoInfo's from a file.
std::ostream & | operator<< (std::ostream &str, const RepoFileReader &obj)
std::ostream & | operator<< (std::ostream &str, const ServiceFileReader &obj)
std::ostream & | operator<< (std::ostream &str, const IniDict &obj)
std::ostream & | operator<< (std::ostream &str, const ProductFileData &obj) ZYPP_API
| Stream output.
std::ostream & | operator<< (std::ostream &str, const RepoFileReader &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const ServiceFileReader &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const IniDict &obj) ZYPP_API
| Stream output.

## Function Documentation

## ◆ operator<<() [1/9]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ProductFileData & | obj )
| related

Definition at line 107 of file ProductFileReader.cc.

## ◆ operator<<() [2/9]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ProductFileData::Upgrade & | obj )
| related

Definition at line 122 of file ProductFileReader.cc.

## ◆ repositories_in_stream()

void zypp::parser::repositories_in_stream | ( | const InputStream & | is,
|  | const RepoFileReader::ProcessRepo & | callback,
|  | const ProgressData::ReceiverFnc & | progress )
| static

List of RepoInfo's from a file.

Parameters

  file | pathname of the file to read.

Definition at line 139 of file RepoFileReader.cc.

## ◆ operator<<() [3/9]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const RepoFileReader & | obj )
| related

Definition at line 255 of file RepoFileReader.cc.

## ◆ operator<<() [4/9]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ServiceFileReader & | obj )
| related

Definition at line 173 of file ServiceFileReader.cc.

## ◆ operator<<() [5/9]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const IniDict & | obj )
| related

Definition at line 163 of file inidict.cc.